Skip to main content
PATCH
/
v1
/
edge_connectors
/
{id}
Update edge connector
curl --request PATCH \
  --url https://api.rootly.com/v1/edge_connectors/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "edge_connectors",
    "id": "<string>",
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "subscriptions": [
        "<string>"
      ],
      "filters": {}
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/edge_connectors/{id}"

payload = { "data": {
"type": "edge_connectors",
"id": "<string>",
"attributes": {
"name": "<string>",
"description": "<string>",
"subscriptions": ["<string>"],
"filters": {}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'edge_connectors',
id: '<string>',
attributes: {
name: '<string>',
description: '<string>',
subscriptions: ['<string>'],
filters: {}
}
}
})
};

fetch('https://api.rootly.com/v1/edge_connectors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Edge connector ID

Body

application/vnd.api+json
data
object

Response

Edge connector updated